This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 612943 - Review Request: spice-protocol - Spice protocol header files
Review Request: spice-protocol - Spice protocol header files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-09 07:17 EDT by Gerd Hoffmann
Modified: 2010-07-13 08:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 08:38:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mclasen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gerd Hoffmann 2010-07-09 07:17:12 EDT
Spec URL: http://kraxel.fedorapeople.org/review/spice-protocol/spice-protocol.spec
SRPM URL: http://kraxel.fedorapeople.org/review/spice-protocol/spice-protocol-0.5.2-1.fc14.src.rpm
Description:
 Header files describing the spice protocol
 and the para-virtual graphics card QXL.
Comment 1 Matthias Clasen 2010-07-09 15:03:38 EDT
Builds fine in mock.

$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/*.rpm
spice-protocol.noarch: W: devel-file-in-non-devel-package /usr/include/spice-1/spice/stats.h
spice-protocol.noarch: W: devel-file-in-non-devel-package /usr/include/spice-1/spice/qxl_dev.h
spice-protocol.noarch: W: devel-file-in-non-devel-package /usr/include/spice-1/spice/vdi_dev.h
spice-protocol.noarch: W: devel-file-in-non-devel-package /usr/include/spice-1/spice/barrier.h
spice-protocol.noarch: W: devel-file-in-non-devel-package /usr/include/spice-1/spice/ipc_ring.h
spice-protocol.noarch: W: devel-file-in-non-devel-package /usr/include/spice-1/spice/macros.h
spice-protocol.noarch: W: devel-file-in-non-devel-package /usr/share/pkgconfig/spice-protocol.pc
spice-protocol.noarch: W: devel-file-in-non-devel-package /usr/include/spice-1/spice/enums.h
spice-protocol.noarch: W: devel-file-in-non-devel-package /usr/include/spice-1/spice/vd_agent.h
spice-protocol.noarch: W: devel-file-in-non-devel-package /usr/include/spice-1/spice/start-packed.h
spice-protocol.noarch: W: devel-file-in-non-devel-package /usr/include/spice-1/spice/end-packed.h
spice-protocol.noarch: W: devel-file-in-non-devel-package /usr/include/spice-1/spice/protocol.h
spice-protocol.noarch: W: devel-file-in-non-devel-package /usr/include/spice-1/spice/error_codes.h
spice-protocol.noarch: W: devel-file-in-non-devel-package /usr/include/spice-1/spice/types.h
2 packages and 0 specfiles checked; 0 errors, 14 warnings.
Comment 2 Matthias Clasen 2010-07-09 15:04:06 EDT
The license field in the spec file looks wrong.
Comment 3 Matthias Clasen 2010-07-09 15:14:04 EDT
package name: ok
spec file name: ok
packaging guidelines: ok, but
  if the package is only meant for F13+, then some cleanups are possible:
  - drop BuildRoot
  - drop initial rm -rf in %install
  - drop %clean section
license: ok
license file: ok
license field: should be BSD, not GPLv2+
spec language: ok
spec readable: yes
upstream sources: ok
buildable: ok
ExcludeArch: ok
BuildRequires: ok
locale handling: ok
ldconfig: ok
system libraries: ok
relocatable: ok
directory ownership: ok
duplicate files: ok
file permissions: ok (pedants prefer the 4-argument form of %defattr)
macro use: ok
permissible content: ok
large docs: ok
%doc content: ok
headers: ok (the wording of the guidelines is a bit unfortunate here...)
static libs: ok
shared libs: ok
libtool archives: ok
devel deps: ok
gui apps: ok
file ownership: ok
utf8 filenames: ok

Summary:
 - fix the license
 - apply minor cleanups at your discretion
Comment 4 Gerd Hoffmann 2010-07-12 03:38:32 EDT
Updated package + specfile are uploaded to
http://kraxel.fedorapeople.org/review/spice-protocol/
Comment 5 Matthias Clasen 2010-07-12 09:43:29 EDT
Looks good now. Approved
Comment 6 Gerd Hoffmann 2010-07-12 11:05:02 EDT
New Package CVS Request
=======================
Package Name: spice-protocol
Short Description: Spice protocol header files
Owners: kraxel alexl
Branches: 
InitialCC:
Comment 7 Kevin Fenzi 2010-07-12 13:25:49 EDT
CVS done (by process-cvs-requests.py).
Comment 8 Gerd Hoffmann 2010-07-13 08:38:50 EDT
rawhide builds are done.

Note You need to log in before you can comment on or make changes to this bug.